Summary:	CUDF (Common Upgradeability Description Format) tools and libraries
Name:		cudf
Version:	0.9
Release:	%mkrel 11
License:	LGPLv3 with linking exception
Group:		Development/Other
URL:		http://www.mancoosi.org/cudf/
Source0:	https://gforge.inria.fr/frs/download.php/file/36602/%{name}-%{version}.tar.gz
BuildRequires:	ocaml-compiler
BuildRequires:	ocaml-ocamlbuild-devel
BuildRequires:	ocaml-findlib-devel
BuildRequires:	ocaml-extlib-devel
BuildRequires:	ocaml-ounit-devel
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	perl

%description
CUDF (for Common Upgradeability Description Format) is a format for describing
upgrade scenarios in package-based Free and Open Source Software distribution.

libCUDF is a library to manipulate so called CUDF documents. A CUDF document
describe an upgrade problem, as faced by package managers in popular
package-based GNU/Linux distributions.

%package	tools
Summary:	CUDF (Common Upgradeability Description Format) command-line tools

%description	tools
This package contains command line tools to manipulate CUDF and related
documents. In particular it contains cudf-check, which enables checking of
document properties such as installation consistency and matching of problems
with their solutions.

%package	devel
Summary:	CUDF (Common Upgradeability Description Format) C development stuff

%description	devel
This package contains the development stuff needed to use libCUDF in your C
programs.

%package -n	ocaml-cudf
Summary:	CUDF (Common Upgradeability Description Format) OCaml development stuff
Group:		Development/OCaml
%rename cudf-ocaml-devel

%description -n	ocaml-cudf
This package contains the development stuff needed to use libCUDF in your OCaml
programs.

%package -n	ocaml-cudf-devel
Summary:	Development files for ocaml-cudf
Group:		Development/OCaml
Requires:	ocaml-cudf = %{version}

%description -n	ocaml-cudf-devel
The ocaml-cudf-devel package contains libraries and signature files for
developing applications that use ocaml-cudf.


%prep
%setup -q

# Add debug tag.
sed 's/pkg_extlib/pkg_extlib, debug/g' -i _tags

%build
make all c-lib
which /usr/bin/ocamlopt > /dev/null && make opt c-lib-opt

%install
make install DESTDIR="%{buildroot}" LIBDIR="%{_libdir}" OCAMLLIBDIR="%{_libdir}/ocaml"

# Install the man page for cudf-check.
mkdir -p %{buildroot}%{_mandir}/man1
cp -a doc/cudf-check.1* %{buildroot}%{_mandir}/man1

# Remove .o files from cudf directory.
rm -rf %{buildroot}%{_libdir}/ocaml/cudf/*.o


%check
make test

%files tools
%{_bindir}/cudf-check
%{_bindir}/cudf-parse-822
%{_mandir}/man1/cudf-check.1*

%files devel
%{_includedir}/cudf.h
%{_libdir}/*.a
%{_libdir}/pkgconfig/cudf.pc

%files -n ocaml-cudf
%dir %{_libdir}/ocaml/cudf
%{_libdir}/ocaml/cudf/META
%{_libdir}/ocaml/cudf/*.cmi
%{_libdir}/ocaml/cudf/*.cma


%files -n ocaml-cudf-devel
%{_libdir}/ocaml/cudf/*.a
%{_libdir}/ocaml/cudf/*.mli
%{_libdir}/ocaml/cudf/*.cmx
%{_libdir}/ocaml/cudf/*.cmxa



%changelog
* Sun Jan 10 2021 pterjan <pterjan> 0.9-11.mga8
+ Revision: 1670770
- Rebuild to generate ocamlx provides

* Fri Feb 28 2020 umeabot <umeabot> 0.9-10.mga8
+ Revision: 1551652
- Rebuild for ocaml 4.10.0 final

* Wed Feb 19 2020 umeabot <umeabot> 0.9-9.mga8
+ Revision: 1544308
- Mageia 8 Mass Rebuild

* Sat Jan 25 2020 tv <tv> 0.9-8.mga8
+ Revision: 1482775
- rebuild for ocaml-4.10

* Thu Oct 25 2018 daviddavid <daviddavid> 0.9-7.mga7
+ Revision: 1325196
- rebuild for new ocaml 4.07.1

* Sun Sep 23 2018 umeabot <umeabot> 0.9-6.mga7
+ Revision: 1297347
- Mageia 7 Mass Rebuild

* Fri Jul 13 2018 daviddavid <daviddavid> 0.9-5.mga7
+ Revision: 1243399
- rebuild for new ocaml-extlib 1.7.5

* Sat Mar 24 2018 daviddavid <daviddavid> 0.9-4.mga7
+ Revision: 1211858
- rebuild for new ocaml-extlib 1.7.4

* Sat Jan 13 2018 daviddavid <daviddavid> 0.9-3.mga7
+ Revision: 1192817
- add BR ocaml-ocamlbuild-devel thus fixing build

* Sun Nov 26 2017 tv <tv> 0.9-2.mga7
+ Revision: 1179621
- BR ocaml-ocamlbuild
- rebuild for new ocaml

* Fri Oct 06 2017 daviddavid <daviddavid> 0.9-1.mga7
+ Revision: 1169310
- new version: 0.9

* Sun Sep 25 2016 pterjan <pterjan> 0.8-3.mga6
+ Revision: 1056206
- Rebuild for fix in ocaml

* Mon Feb 08 2016 pterjan <pterjan> 0.8-2.mga6
+ Revision: 950669
- Rebuild for new ocaml-extlib

* Sun Jan 31 2016 pterjan <pterjan> 0.8-1.mga6
+ Revision: 929658
- Fix BuildRequires
- Update to 0.8

* Wed Oct 15 2014 umeabot <umeabot> 0.7-3.mga5
+ Revision: 743927
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.7-2.mga5
+ Revision: 678613
- Mageia 5 Mass Rebuild

* Sun Jun 22 2014 malo <malo> 0.7-1.mga5
+ Revision: 638610
- update to 0.7

* Sat Oct 19 2013 umeabot <umeabot> 0.6.3-6.mga4
+ Revision: 536415
- Mageia 4 Mass Rebuild

* Mon Sep 23 2013 blue_prawn <blue_prawn> 0.6.3-5.mga4
+ Revision: 484236
- rebuild for ocaml-4.01.0

* Fri Jan 11 2013 umeabot <umeabot> 0.6.3-4.mga3
+ Revision: 348394
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 01 2012 blue_prawn <blue_prawn> 0.6.3-3.mga3
+ Revision: 324540
- update for new extlib
- rebuild for new ocaml 4.00
- new rpm group for ocaml

* Sat Aug 04 2012 malo <malo> 0.6.3-1.mga3
+ Revision: 278455
- update to 0.6.3
- split ocaml lib (new devel package)

* Sat Feb 18 2012 malo <malo> 0.6.2-2.mga2
+ Revision: 210165
- renaming cudf-ocaml-devel to ocaml-cudf, per ocaml policy

* Mon Feb 06 2012 malo <malo> 0.6.2-1.mga2
+ Revision: 205636
- new version 0.6.2

* Wed Oct 05 2011 shlomif <shlomif> 0.6.1-1.mga2
+ Revision: 152052
- New version thank to Malo.
+ fwang <fwang>
- rebuild for new ocaml

* Tue Apr 12 2011 ennael <ennael> 0.5.99-1.mga1
+ Revision: 83665
- fix release tag
- imported package cudf

